package com.jxy.marketall.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.jxy.common.core.web.Result.AjaxResult;
import com.jxy.marketall.entity.BigSell;
import com.jxy.marketall.entity.Utxos;
import com.jxy.marketall.vo.BigSellVo;
import com.jxy.marketall.vo.CoinVo;
import com.jxy.marketall.vo.QueryVo;


/**
 * @Description 地址查询服务类
 * @Date 2022/5/20 11:40
 * @Author 杜懿
 */
public interface UtxosService extends IService<Utxos> {

    /***
     * 查询最新Utxos
     * @param
     * @return
     */
    public AjaxResult getNewUtxos();

    /***
     * 查询最新Utxos2nd
     * @param
     * @return
     */
    public AjaxResult getNewUtxos2nd();

    /**
     * 根据时间查询Utxos数据
     * @param vo
     * @return
     */
    public AjaxResult getUtxosByTime(QueryVo vo);

    /**
     * 根据时间查询Utxos2nd数据
     * @param vo
     * @return
     */
    public AjaxResult getUtxos2ndByTime(QueryVo vo);

    /***
     * 查询已实现流通市值
     * @param
     * @return
     */
    public AjaxResult getCapReal(CoinVo vo);

    /***
     * 查询已实现流通市值
     * @param
     * @return
     */
    public AjaxResult getMinerList(CoinVo vo);
}
